<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bot-Nutzeranleitung</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            line-height: 1.6;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
        }
        .container {
            max-width: 800px;
            margin: 20px auto;
            padding: 20px;
            background: #fff;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h1 {
            color: #333;
        }
        h2 {
            color: #555;
            border-bottom: 2px solid #eee;
            padding-bottom: 5px;
        }
        p {
            margin: 0 0 10px;
        }
        code {
            background: #f4f4f4;
            border: 1px solid #ddd;
            border-radius: 4px;
            padding: 5px;
            font-family: monospace;
        }
        ul {
            margin: 0 0 10px;
            padding-left: 20px;
        }
        li {
            margin: 5px 0;
        }
        .spoiler {
            margin-top: 20px;
            padding: 10px;
            border: 1px solid #ddd;
            border-radius: 4px;
            background: #f9f9f9;
        }
        .spoiler button {
            background-color: #007bff;
            color: #fff;
            border: none;
            padding: 10px;
            border-radius: 4px;
            cursor: pointer;
        }
        .spoiler-content {
            display: none;
            margin-top: 10px;
        }
        .spoiler-content pre {
            background: #f4f4f4;
            border: 1px solid #ddd;
            border-radius: 4px;
            padding: 10px;
            font-family: monospace;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>📝 Bot-Nutzeranleitung</h1>
        <p>Willkommen zum Telegram-Bot! Hier ist eine einfache Anleitung, wie du die Funktionen des Bots nutzen kannst:</p>
        
        <h2>1. Wunsch äußern</h2>
        <ul>
            <li><strong>Wunsch-Befehl verwenden</strong></li>
            <p><code>/wunsch</code></p>
            <p>Beschreibung: Verwende diesen Befehl, um einen Wunsch zu äußern.</p>
            <p>Schritt: Der Bot wird dir eine Liste von Kategorien anzeigen, aus denen du auswählen kannst.</p>

            <li><strong>Kategorie auswählen</strong></li>
            <p>Der Bot zeigt dir ein Inline-Keyboard mit verschiedenen Kategorien wie Film, Serie, Anime, etc. Wähle eine Kategorie aus, die zu deinem Wunsch passt.</p>

            <li><strong>Link hinzufügen (Optional)</strong></li>
            <p>Der Bot wird dich fragen, ob du einen Link zum Wunsch hinzufügen möchtest (z.B. zu einem Cover oder Spotify). Falls du keinen Link hinzufügen möchtest, kannst du einfach „X“ eingeben.</p>

            <li><strong>Titel des Wunsches eingeben</strong></li>
            <p>Gib den Titel des Wunsches ein, den du äußern möchtest.</p>

            <li><strong>Bestätigen</strong></li>
            <p>Der Bot sendet deinen Wunsch an die Gruppe, und du erhältst eine Bestätigung.</p>
        </ul>

        <h2>2. Wunsch als erfüllt markieren</h2>
        <p>Befehl: Diese Funktion ist nur für Admins verfügbar.</p>
        <p>Beschreibung: Admins können einen Wunsch als erfüllt markieren, wenn der Wunsch umgesetzt wurde.</p>

        <h2>3. Wunsch als „Nicht gefunden“ markieren</h2>
        <p>Befehl: Diese Funktion ist nur für Admins verfügbar.</p>
        <p>Beschreibung: Admins können Wünsche als „Nicht gefunden“ markieren, wenn der Wunsch nicht gefunden wurde.</p>

        <h2>4. Nicht gefundene Wünsche verwalten</h2>
        <ul>
            <li><strong>Nicht gefundene Wünsche anzeigen</strong></li>
            <p>Befehl: <code>/notfound</code></p>
            <p>Beschreibung: Zeigt eine Liste aller nicht gefundenen Wünsche an. Nur Admins können diesen Befehl verwenden.</p>

            <li><strong>Nicht gefundene Wünsche löschen</strong></li>
            <p>Beschreibung: Admins können nicht gefundene Wünsche aus der Liste löschen. Der Bot wird nach der Nummer des Eintrags fragen, den du löschen möchtest.</p>
        </ul>

        <div class="spoiler">
            <button onclick="toggleSpoiler()">Weitere Details anzeigen</button>
            <div class="spoiler-content">
                <h2>⚙️ Konfigurationsdetails</h2>
                <div># folgende Daten müssen beim ersten Start hinterlegt werden</div>
                <br /><br />
                <div class="config-file">
                    <p><strong>.env Datei:</strong></p>
                    <pre>
TELEGRAM_TOKEN="TOKEN"
ALLOWED_CHAT_ID="CHAT-ID"
ALLOWED_THREAD_ID="Channel wo der Bot arbeiten kann (Beispiel 3)"
                    </pre>
                </div>
                <p>zu Installierende Pakete:</p>
                <ul>
                    <li><code>npm install telegraf</code></li>
                    <li><code>npm install path</code></li>
                    <li><code>npm install fs</code></li>
                    <li><code>npm install archiver</code></li>
                    <li><code>npm install</code></li>
                    <li><code>node-schedule</code></li>
                    <li><code>npm install dotenv</code></li>
                </ul>
            </div>
        </div>
    </div>
    <script>
        function toggleSpoiler() {
            var content = document.querySelector('.spoiler-content');
            var button = document.querySelector('.spoiler button');
            if (content.style.display === 'block') {
                content.style.display = 'none';
                button.textContent = 'Weitere Details anzeigen';
            } else {
                content.style.display = 'block';
                button.textContent = 'Details ausblenden';
            }
        }
    </script>
</body>
</html>
